void printc(char val);
void prints(short val);
void printi(int val);

struct sample {
  char c;
  short s;
  int i;
};

int main()
{
  struct sample s, *p;

  printi(sizeof(struct sample));
  printi(sizeof(s));
  printi(sizeof(*p));

  p = &s;

  s.c = 1;
  s.s = 2;
  s.i = 3;

  printc(p->c);
  prints(p->s);
  printi(p->i);

  p->c = 11;
  p->s = 12;
  p->i = 13;

  printc(p->c);
  prints(p->s);
  printi(p->i);

  return 0;
}
